Package com.massivecraft.factions.tag

## Enum GeneralTag

- java.lang.Object
- - java.lang.Enum<GeneralTag>
  - - com.massivecraft.factions.tag.GeneralTag

All Implemented Interfaces:
  `Tag`, `java.io.Serializable`, `java.lang.Comparable<GeneralTag>`, `java.lang.constant.Constable`

    public enum GeneralTag
    extends java.lang.Enum<GeneralTag>
    implements Tag

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`FACTIONLESS` |
`FACTIONLESS_TOTAL` |
`MAX_ALLIES` |
`MAX_ENEMIES` |
`MAX_TRUCES` |
`MAX_WARPS` |
`TOTAL_ONLINE` |

### Field Summary

### Fields inherited from interface com.massivecraft.factions.tag.Tag

`ARBITRARY_LIMIT`

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `foundInString​(java.lang.String test)` | Gets if the Tag can be found in the given String.
`java.lang.String` | `getTag()` | Gets the Tag's string representation.
`static java.lang.String` | `parse​(java.lang.String text)` |
`java.lang.String` | `replace​(java.lang.String text)` |
`static GeneralTag` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static GeneralTag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MAX_WARPS

    public static final GeneralTag MAX_WARPS

#### MAX_ALLIES

    public static final GeneralTag MAX_ALLIES

#### MAX_ENEMIES

    public static final GeneralTag MAX_ENEMIES

#### MAX_TRUCES

    public static final GeneralTag MAX_TRUCES

#### FACTIONLESS

    public static final GeneralTag FACTIONLESS

#### FACTIONLESS_TOTAL

    public static final GeneralTag FACTIONLESS_TOTAL

#### TOTAL_ONLINE

    public static final GeneralTag TOTAL_ONLINE

### Method Detail

#### values

    public static GeneralTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GeneralTag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### parse

    public static java.lang.String parse​(java.lang.String text)

#### getTag

    public java.lang.String getTag()

Description copied from interface: `Tag`
Gets the Tag's string representation.

Specified by:
  `getTag` in interface `Tag`
Returns:
  tag

#### foundInString

    public boolean foundInString​(java.lang.String test)

Description copied from interface: `Tag`
Gets if the Tag can be found in the given String.

Specified by:
  `foundInString` in interface `Tag`
Parameters:
  `test` - string to test
Returns:
  true if the tag is found in this string

#### replace

    public java.lang.String replace​(java.lang.String text)